
    l_oneWeight(s_step)     = s_weightM(s_neuronA,s_neuronB);
    l_oneWeightS(s_step)    = s_weightSum(s_neuronA,s_neuronB);
    l_modulation(s_step)    = s_modulation;
    l_rareEventsRate(s_step) = s_currentRareEventsPerSecond / t_numberOfPlasticSynapses * 100;
    l_posThreshold(s_step)  = p_positiveCorrThreshold;
    l_negThreshold(s_step)  = p_negativeCorrThreshold;
    l_thresholds(s_step,:) = [p_positiveCorrThreshold p_negativeCorrThreshold];
    l_corrPerStep(s_step,:) = [s_numberOfPosHighCorrPerStep s_numberOfNegHighCorrPerStep];

    l_ExW(s_step) = sum(sum(s_weightM(1:p_nr_excitatory,:)))/nnz(s_connectivity(1:p_nr_excitatory,:));
    l_InW(s_step) = sum(sum(s_weightM(p_nr_excitatory + 1:p_nr_neurons,:))) / nnz(s_connectivity(p_nr_excitatory+1:p_nr_neurons,:));
    l_oneWeightCorr(s_step) = s_oldOutput(s_neuronA) * s_output(s_neuronB);
    l_eligTrace(s_step) = s_shortTermHebb(s_neuronA,s_neuronB);
    l_output(s_step) = sum(s_output);
    
    t_wL = reshape(s_weightM(1:p_nr_excitatory,:),p_nr_excitatory * p_nr_neurons,1);
    t_wLnonZeros = nonzeros(t_wL);
    l_bins(s_step,:) = log(hist(t_wLnonZeros, 0:0.01:1)+1);
    l_corrValues(s_step) = s_correlations(s_neuronA,s_neuronB);