s_cComp = full(s_connectivity(1:p_nr_excitatory,:));
s_cComp(s_cComp == 0) = s_cComp(s_cComp == 0) .* NaN;
t_wL = s_weightM(1:p_nr_excitatory,:) .* s_cComp;
t_wL2 = s_weightSum(1:p_nr_excitatory,:) .* s_cComp;

binsLin = hist(t_wL(:), 0:0.01:1);
bins = log10(hist(t_wL(:), 0:0.01:1)+1);
bins2= log10(hist(t_wL2(:), 0:0.01:1)+1);

set(t_f1_sp5,'XLim',[2 max(3,s_step)]);
set(t_f1_sp1,'XLim',[2 max(3,s_step)]);
set(t_f1_sp2,'XLim',[2 max(3,s_step)]);
set(t_f1_sp4,'XLim',[2 max(3,s_step)]);
set(t_f1_sp6,'XLim',[2 max(3,s_step)]);
set(t_f1_sp7,'XLim',[2 max(3,s_step)]);


set(t_f1_sp5,'YLim',[(-0.0001 + 1.2 * min(l_negThreshold(1/p_samplingTime+2:s_totSteps))) (1.2 * max(l_posThreshold(1/p_samplingTime+2:s_totSteps)))]);

if p_elig == 0
    subplot(4,2,8);
    t_wLSum = nonzeros(reshape(s_weightSum(1:p_nr_excitatory,:),p_nr_excitatory  * p_nr_neurons,1));
    bins2 = log10(hist(t_wLSum, 0:0.01:1)+1);
    bar(bins2);
    ylabel('Weight hist.');
    axis tight;
    %axis([0 1 -1 1]);
    subplot(4,2,1);
    plot(l_oneWeightS(1:s_step-1));
    ylabel('Weight of \sigma');
    grid
    axis([0 s_totSteps 0 1]);
    
end

refreshdata(t_f1);

pause(0.1);