    if mod(s_time,2) == 0 || t_currentStimulus == 1 || t_showOnceMore == 1
        
        t_nrOfHC = nnz(s_highCorr);
        t_posHT = nnz(s_highCorr > 0);
        t_posHTS1 = nnz(s_highCorr(s_stimuliSet(1,:),:) > 0);
        t_negHTS1 = nnz(s_highCorr(s_stimuliSet(1,:),:) < 0);
        t_posHTHTratio = t_posHT / t_nrOfHC;
        t_stPosHebbTotal = sum(sum( (s_shortTermHebb > 0) .* s_shortTermHebb));
        t_stNegHebbTotal = sum(sum( (s_shortTermHebb < 0) .* s_shortTermHebb));
        
        disp(['T:' num2str(s_step*p_samplingTime) ' Step:' num2str(s_step)...
            ' Sti:' num2str(t_currentStimulus)...
            ' AllS:' num2str(l_allSynapses(s_step))...
            ' CS:' num2str(l_CSsynapses(s_step))...
            ' HC:' num2str(t_nrOfHC)...
            ' +HC/HC: ' num2str(t_posHTHTratio)...
            ' +HCTh:' num2str(p_positiveCorrThreshold)...
            ' +HCS1:' num2str(t_posHTS1)...          
            ' -HCS1:' num2str(t_negHTS1)...          
            ' UpdTh:' num2str(t_updateThreshold)...
            ' +HCPercent/sec: ' num2str(l_rareEventsRate(s_step))...
             ]);
        if t_visual == 1 

        plotE2r;
        
        end
    end
    
    if t_currentStimulus == 1
        t_showOnceMore = 1;
    else
        t_showOnceMore = 0;
    end    
