
        fromStep = 2;       
        subplot(6,2,1);
        plot([l_StoA(fromStep:s_step)' l_StoB(fromStep:s_step)']);
        ylabel('SA and SB');
        set(gca, 'Xlim',[fromStep max(3, s_step)]);
        grid;
        
        subplot(6,2,3);
        plot([l_toA(fromStep:s_step)' l_toB(fromStep:s_step)']);
        ylabel('all to A and B')
        set(gca, 'Xlim',[fromStep max(3, s_step)]);
        grid;

        subplot(6,2,4);
        plot([l_outDiff']);
        ylabel('active AB diff')
%        xlim([1 s_trial]);
        grid;

        subplot(6,2,5);
        plot([l_AtoA(fromStep:s_step)' l_BtoB(fromStep:s_step)']);
        ylabel('AA and BB')
        set(gca, 'Xlim',[fromStep max(3, s_step)]);
        grid;

        subplot(6,2,8);
        plot([l_SABDiff(fromStep:s_step)]);
        set(gca, 'Xlim',[fromStep max(3, s_step)]);
        ylabel('SABDiff')
        grid;

        subplot(6,2,2);
        response = l_responseA -l_responseB; 
        bar(response,1);
        set(gca, 'Xlim',[1 max(2,s_trial-1)+0.5]);
        ylabel('Response')

        subplot(6,2,6);
        plot([l_probA(1:max(2,s_trial))' l_probB(1:max(2,s_trial))']);
        set(gca, 'Xlim',[1 max(2,s_trial-1)]);
        ylabel('prob A/B');
        grid;

        subplot(6,2,7);
        plot([l_outputEx(fromStep:s_step)' l_outputIn(fromStep:s_step)']);
        ylabel('Ex/In outs');
        set(gca, 'Xlim',[max(fromStep, s_step-300) max(3, s_step)]);
        grid;

        subplot(6,2,10);
        plot(l_modulation(fromStep:s_step));
        set(gca, 'Xlim',[fromStep max(3, s_step)]);
        xlim([fromStep s_step]);
        ylabel('Modulation');

        subplot(6,2,9);
        plot([l_meanEW(fromStep:s_step)']);
        set(gca, 'Xlim',[fromStep max(3, s_step)]);
        ylabel('Ex W');

        subplot(6,2,12);
        plot(l_rareEventsRate(fromStep:s_step));
        grid
        ylabel('% rare ev.');
%        axis([fromStep s_step 0 (0.01 + 1.2 * max(l_rareEventsRate))]);
        
        subplot(6,2,11);
        plot(l_posThreshold(fromStep:s_step));
        grid
        ylabel('threshold');
%        axis([fromStep s_step 0 (0.01 + 1.2 * max(l_posThreshold(1/p_samplingTime+2:s_totSteps)))]);
        pause(0.05);