    l_output(s_step,:) = s_output;
    l_outputEx(s_step) = mean(s_output(1:p_nr_excitatory));
    l_outputIn(s_step) = mean(s_output(p_nr_excitatory + 1:p_nr_neurons));
    
    l_StoA(s_step) = sum(sum((s_weightM(s_neuronsS,s_neuronsA)))) / nnz(s_connectivity(s_neuronsS,s_neuronsA));
    l_StoB(s_step) = sum(sum((s_weightM(s_neuronsS,s_neuronsB)))) / nnz(s_connectivity(s_neuronsS,s_neuronsB));
    l_SABDiff(s_step) = l_StoA(s_step) - l_StoB(s_step);
    
    l_toA(s_step) = sum(sum((s_weightM(1:p_nr_excitatory,s_neuronsA)))) / nnz(s_connectivity(1:p_nr_excitatory,s_neuronsA));
    l_toB(s_step) = sum(sum((s_weightM(1:p_nr_excitatory,s_neuronsB)))) / nnz(s_connectivity(1:p_nr_excitatory,s_neuronsB));

    l_AtoA(s_step) = sum(sum((s_weightM(s_neuronsA,s_neuronsA)))) / nnz(s_connectivity(s_neuronsA,s_neuronsA));
    l_BtoB(s_step) = sum(sum((s_weightM(s_neuronsB,s_neuronsB)))) / nnz(s_connectivity(s_neuronsB,s_neuronsB));

    l_SApC(s_step) = sum(sum(s_highCorr(s_neuronsS,s_neuronsA) > 0));
    l_SAnC(s_step) = sum(sum(s_highCorr(s_neuronsS,s_neuronsA) < 0));
    l_SBpC(s_step) = sum(sum(s_highCorr(s_neuronsS,s_neuronsB) > 0));
    l_SBnC(s_step) = sum(sum(s_highCorr(s_neuronsS,s_neuronsB) < 0));
    
    l_meanEW(s_step) = sum(sum(s_weightM(1:p_nr_excitatory,:)))/nnz(s_connectivity(1:p_nr_excitatory,:));
    l_meanIW(s_step) = sum(sum(s_weightM(p_nr_excitatory + 1:p_nr_neurons,:)))/nnz(s_connectivity(p_nr_excitatory + 1:p_nr_neurons,:));

    l_StoNet(s_step) = sum(sum((s_weightM(s_neuronsS,:)))) / nnz(s_weightM(s_neuronsS,:));
    l_allNet(s_step) =  sum(sum(s_weightM)) / nnz(s_weightM);
    l_modulation(s_step) = s_totalModulation;
    l_rareEventsRate(s_step) = s_currentRareEventsPerSecond / t_numberOfSynapses * 100;
    l_posThreshold(s_step) = p_positiveCorrThreshold;
    
    
    l_outA(s_step) = s_activeANeurons(1);
    l_outB(s_step) = s_activeBNeurons(1);
    
