
        fromStep = 2;       
        subplot(5,2,1);
        plot([l_USVTAPsynapses(fromStep:s_step)']);
        ylabel('US->VTAP');
        xlim([fromStep s_step]);
        grid;
        
        subplot(5,2,3);
        plot([ l_CS1USsynapses(fromStep:s_step)' l_CS1VTAPsynapses(fromStep:s_step)' l_CS1Allsynapses(fromStep:s_step)']);
        ylabel('CS1->US, CS1->VTAP CS1-all');
        xlim([fromStep s_step]);
        grid;

        subplot(5,2,5);
        plot([ l_CS2USsynapses(fromStep:s_step)' l_CS2VTAPsynapses(fromStep:s_step)']);
        ylabel('CS2->US CS2->VTAP');
        xlim([fromStep s_step]);
        grid;

        subplot(5,2,7);
        plot([l_meanEW(fromStep:s_step)']);
       % xlim([fromStep s_step]);
        ylabel('Excit W');

%        subplot(6,2,5);
%        plot(l_modulation(max(fromStep, s_step-400:s_step)));
%       % xlim([fromStep s_step]);
%        ylabel('Recent mod');

        subplot(5,2,2);
        plot([l_US(fromStep:s_step)' l_CS1(fromStep:s_step)' l_CS2(fromStep:s_step)']);
        ylabel('US, CS1, CS2');
        xlim([fromStep s_step]);
        grid;


        subplot(5,2,2);
        s_from = max(fromStep, s_step-(20/p_samplingTime)) + 1;
        plot([l_US(s_from:s_step)' l_CS1(s_from:s_step)' l_CS2(s_from:s_step)']);
        ylabel('recent US & CS1 & CS2');
     %   xlim([(max(fromStep, s_step-(20/p_samplingTime))) s_step]);
        grid;
        
        trialString = ['trial ' num2str(s_trial)];
        set(t_an,'String',trialString);

        subplot(5,2,4);
        plot(l_modulation(s_from:s_step));
%        xlim([(max(fromStep, s_step-(20/p_samplingTime))) s_step]);
        ylim([-0.1 0.4]);
        ylabel('recent mod');

        subplot(5,2,8);
        plot([l_numberOfPosHighCorrPerStep(fromStep:s_step)-l_numberOfNegHighCorrPerStep(fromStep:s_step)]);
        xlim([(max(fromStep, s_step-(20/p_samplingTime))) s_step]);
        ylabel('HC diff');
     
        subplot(5,2,6);
        plot([l_numberOfPosHighCorrPerStep(fromStep:s_step)]);
        hold on;
        plot(-l_numberOfNegHighCorrPerStep(fromStep:s_step));
        hold off;
        xlim([(max(fromStep, s_step-(20/p_samplingTime))) s_step]);
        ylabel('PosHighCorrPerStep');

 %       subplot(6,2,5);
 %       plot([l_SABDiff]);
 %       ylabel('SABDiff')
 %       xlim([fromStep s_step]);
 %       grid;

 %       subplot(6,2,2);
 %       response = l_responseA -l_responseB; 
 %       bar(response,1);
 %       xlim([1 max(2,s_trial)]);
 %       ylabel('Response')

%        subplot(6,2,6);
%        plot([l_probA(fromStep:s_step)' l_probB(fromStep:s_step)']);
%        ylabel('prob A/B');
%        grid;
%        xlim([1 max(s_trial-1,2)]);

%        subplot(6,2,7);
%        plot([l_outputEx(fromStep:s_step)' l_outputIn(fromStep:s_step)']);
%        ylabel('Ex/In outs');
%        xlim([max(fromStep, s_step-300) s_step]);
%        grid;



        subplot(5,2,10);
        plot(l_rareEventsRate(fromStep:s_step));
        grid
        ylabel('% correl.');
        xlim([(max(fromStep, s_step-(20/p_samplingTime))) s_step]);

%        axis([fromStep s_step 0 (0.01 + 1.2 * max(l_rareEventsRate))]);
        
        subplot(5,2,9);
        plot(l_posThreshold(fromStep:s_step));
        grid
        ylabel('corr.threshold');
        axis([fromStep s_step 0 (0.01 + 1.2 * max(l_posThreshold(1/p_samplingTime+2:s_totSteps)))]);
        pause(0.05);