disp(['(Re)Starting simulation E4']);

for s_step = t_startAtStep:1:s_totSteps
    s_time = s_step * p_samplingTime;
        
    stimuliE4;
    
    neuralComputation;
   
    rarityOfCorrelations;
   
    updateTraces;
 
    s_totalModulation = (sum(s_output(s_neuronsVTAP))/p_neuronsInSet) * p_neuronsToModFactor * p_maxModulation;
   
    plasticity;
    
      
    tic
    
    logsE4;
   
    s_stepsToUS  = s_stepsToUS  - 1;
    s_stepsToCS1 = s_stepsToCS1 - 1;    
    s_stepsToCS2 = s_stepsToCS2 - 1;

    if (mod(s_step,10) == 0)
        plotE4r;
    end
    
    if s_stepsToUS == 0 
       disp(['US at step ' num2str(s_step)]); 
    end
       
    if t_suspendExecutionVar == 1
        disp(['Suspending execution after completion of step: ' num2str(s_step)]);
        break;
    end
    s_cputime(5) = s_cputime(5) + toc;
end
