tic
if s_highCorr(s_neuronA,s_neuronB) > 0 % s_reward == 1    
    % Assign reward delay (with condition for avoiding too frequent reward
    if s_stepsToReward <= -(p_minIntervalBetweenRewards /p_samplingTime)
        s_stepsToReward = myrandi(stream, 1, 1, s_minStepsToReward, s_maxStepsToReward);
    end
    if t_executingSet == 0
        disp(['Hebb update at time ' num2str(s_step * p_samplingTime) ' (step ' num2str(s_step) ')']);
        if s_stepsToReward >= 0
            disp(['Reward in ' num2str(s_stepsToReward) ' steps, ' num2str(s_stepsToReward * p_samplingTime,'%.2f') ' s']);
        else
            disp(['No time for new reward']);
        end
    end
end

if p_modTC > 0
    s_modulation = s_modulation .* exp(-p_samplingTime/p_modTC);
else
    s_modulation = 0;
end

if s_stepsToReward >= 0
%    disp(['Step' num2str(s_step) ' stABw: ' num2str(s_shortTermHebb(s_neuronA,s_neuronB))]);
    if (s_stepsToReward == 0)
        disp(['Delayed reward at step' num2str(s_step)]);
        s_modulation = p_maxModulation;
    end
end

%% Test to see the stability of the network to frequent rewards
% comment out, don't delete
%if mod(s_step * p_samplingTime,10) == 0
%    s_modulation = p_maxModulation;
%end 
    
%% end test    

s_totalModulation = s_modulation + p_baseMod;

s_stepsToReward = s_stepsToReward - 1;

s_cputime(3) = s_cputime(3) + toc;