s_giveReward = 0;

s_activeANeurons = sum(s_output(s_neuronsA)); 
s_activeBNeurons = sum(s_output(s_neuronsB)); 

if mod(s_time - 2 * p_samplingTime,p_timeBetweenStimuli) < 0.1 * p_samplingTime
    
    
    disp(['Checking response at step' num2str(s_step)]);
    
    s_diff = s_activeANeurons - s_activeBNeurons;
    if abs(s_diff) > 1
        if t_flag == 1
            
            s_giveReward = (s_diff > 0);
            s_givePunishment = (s_diff < 0);
            l_responseB(s_trial) = s_givePunishment;
            l_responseA(s_trial) = s_giveReward;
            
        else
            s_giveReward = (s_diff < 0);
            s_givePunishment = (s_diff > 0);
            l_responseA(s_trial) = s_givePunishment;
            l_responseB(s_trial) = s_giveReward;
            
            
        end
    end
    
    if s_giveReward == 1
        % this line, using a step of 100ms and a p_ABPrevailingFactor of
        % 0.01 makes the reward happen in the interval [0,1] s
        s_stepsToReward = round(max(0, 10 - abs(2 * s_diff)));
        
        disp(['Giving reward in' num2str(s_stepsToReward) ' steps']);
    end
    
    l_rewards(s_trial) = s_giveReward - s_givePunishment;
    l_outDiff(s_trial) = s_activeANeurons - s_activeBNeurons;
    l_probA(s_trial) = sum(l_responseA(max(s_trial - 19,1):s_trial) == 1)/(min(20,s_trial));
    l_probB(s_trial) = sum(l_responseB(max(s_trial - 19,1):s_trial) == 1)/(min(20,s_trial));
    
    s_trial = s_trial + 1;
end
