s_neuronsS = myrandi(stream, 1, p_neuronsInSetS, 1, p_nr_excitatory);
s_neuronsA = myrandi(stream, 1, p_neuronsInSetAB, 1, p_nr_neurons);
s_neuronsB = myrandi(stream, 1, p_neuronsInSetAB, 1, p_nr_neurons);

%check for uniqueness
i = 1;
while i <= p_neuronsInSetS
isInS = (size(find(s_neuronsS == s_neuronsS(i)),2) > 1);
if isInS == 1
%    disp(['Neuron in S at position ' num2str(i) ' is duplicated... fixing']);
    s_neuronsS(i) = myrandi(stream, 1, 1, 1, p_nr_excitatory);
    i = i -1;
end
i = i + 1;
end

i = 1;
while i <= p_neuronsInSetAB
% duplicate in A
isInA = (size(find(s_neuronsA == s_neuronsA(i)),2) > 1);
% same neuron in A and S
isInS = (size(find(s_neuronsS == s_neuronsA(i)),2) > 0);
if (isInS == 1) || (isInA == 1)
%    disp(['Neuron in A at position ' num2str(i) ' is duplicated... fixing']);
    s_neuronsA(i) = myrandi(stream, 1, 1, 1, p_nr_excitatory);
    i = i -1;
end
i = i + 1;
end

i = 1;
while i <= p_neuronsInSetAB
% duplicate in B    
isInB = (size(find(s_neuronsB == s_neuronsB(i)),2) > 1);
% B neuron already in S
isInS = (size(find(s_neuronsS == s_neuronsB(i)),2) > 0);
% B neiron already in A
isInA = (size(find(s_neuronsA == s_neuronsB(i)),2) > 0);
if (isInS == 1) || (isInA == 1) || (isInB == 1)
%    disp(['Neuron in B at position ' num2str(i) ' is duplicated... fixing']);
    s_neuronsB(i) = myrandi(stream, 1, 1, 1, p_nr_excitatory);
    i = i -1;
end
i = i + 1;
end


while size(nonzeros(s_connectivity(s_neuronsS,s_neuronsA)),1)...
        - size(nonzeros(s_connectivity(s_neuronsS,s_neuronsB)),1) > (0.002 * p_nr_neurons)
  % disp(['increasing B to ' num2str(size(nonzeros(s_connectivity(s_neuronsS,s_neuronsB)),1)) ]);  
    s_connectivity(s_neuronsS(myrandi(stream,1,1,1,p_neuronsInSetS)),s_neuronsB(myrandi(stream,1,1,1,p_neuronsInSetAB))) = 1;    
end

while size(nonzeros(s_connectivity(s_neuronsS,s_neuronsB)),1)...
        - size(nonzeros(s_connectivity(s_neuronsS,s_neuronsA)),1) > (0.002 * p_nr_neurons)
  % disp(['increasing A to ' num2str(size(nonzeros(s_connectivity(s_neuronsS,s_neuronsA)),1))]);  
    s_connectivity(s_neuronsS(myrandi(stream,1,1,1,p_neuronsInSetS)),s_neuronsA(myrandi(stream,1,1,1,p_neuronsInSetAB))) = 1;    
end


% Redo some initialisation because the connectivity matrix has changed.
s_connectionType = s_connectivity .* repmat(s_neuronTypes, p_nr_neurons, 1)';
s_connectionTypeStrength = s_connectionTypeStrength + s_connectivity .* p_k .* (s_connectionType == -1);
s_connectionTypeStrength = s_connectionTypeStrength + s_connectivity .* +1 .* (s_connectionType == 1);

s_weightSum = sparse(p_nr_neurons,p_nr_neurons);

s_weightM       = rand(stream, p_nr_neurons, p_nr_neurons)...
    .* p_maxWeight .* p_weightInitRange .* s_connectivity;

%s_weightM(p_nr_excitatory+1:p_nr_neurons,:)       = rand(stream, p_nr_inhibitory, p_nr_neurons)...
%    .* p_maxWeight .* p_inhibWeightRange .* s_connectivity(p_nr_excitatory+1:p_nr_neurons,:);

s_weightM(p_nr_excitatory+1:p_nr_neurons,:) =... 
    p_maxWeight .* 0.25 .* s_connectivity(p_nr_excitatory+1:p_nr_neurons,:);

%s_weightM(s_neuronsS,s_neuronsA) = 0.0 .* s_connectivity(s_neuronsS,s_neuronsA);
%s_weightM(s_neuronsS,s_neuronsB) = 0.0 .* s_connectivity(s_neuronsS,s_neuronsB);
%s_weightM(s_neuronsA,s_neuronsA) = 0.0 .* s_connectivity(s_neuronsA,s_neuronsA);
%s_weightM(s_neuronsB,s_neuronsB) = 0.0 .* s_connectivity(s_neuronsB,s_neuronsB);



