
s_neuronsUS = myrandi(stream, 1, p_neuronsInSet, 1, p_nr_excitatory);
s_neuronsVTAP = myrandi(stream, 1, p_neuronsInSet, 1, p_nr_excitatory);
s_neuronsCS1= myrandi(stream, 1, p_neuronsInSet, 1, p_nr_excitatory);
s_neuronsCS2= myrandi(stream, 1, p_neuronsInSet, 1, p_nr_excitatory);


i = 1;
while i <= p_neuronsInSet
%check for uniqueness in US
isInUS = (size(find(s_neuronsUS == s_neuronsUS(i)),2) > 1);
if isInUS == 1
 %   disp(['Neuron in US at position ' num2str(i) ' is duplicated... fixing']);
    s_neuronsUS(i) = myrandi(stream, 1, 1, 1, p_nr_excitatory);
    i = i -1;
end
i = i + 1;
end

i = 1;
while i <= p_neuronsInSet
% check for uniqueness in VTAP
isInVTAP = (size(find(s_neuronsVTAP == s_neuronsVTAP(i)),2) > 1);
% same neuron in VTAP and US
isInUS = (size(find(s_neuronsUS == s_neuronsVTAP(i)),2) > 0);
if (isInUS == 1) || (isInVTAP == 1)
  %  disp(['Neuron in VTAP at position ' num2str(i) ' is duplicated... fixing']);
    s_neuronsVTAP(i) = myrandi(stream, 1, 1, 1, p_nr_excitatory);
    i = i -1;
end
i = i + 1;
end

i = 1;
while i <= p_neuronsInSet
% duplicate in CS1    
isInCS1 = (size(find(s_neuronsCS1 == s_neuronsCS1(i)),2) > 1);
% CS1 neuron already in US
isInUS = (size(find(s_neuronsUS == s_neuronsCS1(i)),2) > 0);
% CS1 neuron already in VTAP
isInVTAP = (size(find(s_neuronsVTAP == s_neuronsCS1(i)),2) > 0);

if (isInUS == 1) || (isInVTAP == 1) || (isInCS1 == 1)
  %  disp(['Neuron in CS1 at position ' num2str(i) ' is duplicated... fixing']);
    s_neuronsCS1(i) = myrandi(stream, 1, 1, 1, p_nr_excitatory);
    i = i -1;
end
i = i + 1;
end

i = 1;
while i <= p_neuronsInSet
% duplicate in CS2    
isInCS2 = (size(find(s_neuronsCS2 == s_neuronsCS2(i)),2) > 1);
% CS2 neuron already in US
isInUS = (size(find(s_neuronsUS == s_neuronsCS2(i)),2) > 0);
% CS2 neuron already in VTAP
isInVTAP = (size(find(s_neuronsVTAP == s_neuronsCS2(i)),2) > 0);
% CS2 neuron already in CS1
isInCS1 = (size(find(s_neuronsCS1 == s_neuronsCS2(i)),2) > 0);

if (isInUS == 1) || (isInVTAP == 1) || (isInCS1 == 1) || (isInCS2 == 1)
  %  disp(['Neuron in CS2 at position ' num2str(i) ' is duplicated... fixing']);
    s_neuronsCS2(i) = myrandi(stream, 1, 1, 1, p_nr_excitatory);
    i = i -1;
end
i = i + 1;
end

s_connectivity(s_neuronsVTAP,s_neuronsVTAP) = 0;
s_weightM(s_neuronsVTAP,s_neuronsVTAP) = 0;

s_connectivity(s_neuronsVTAP,:) = 0;
s_weightM(s_neuronsVTAP,:) = 0;

s_connectivity(s_neuronsUS,s_neuronsUS) = 0;
s_weightM(s_neuronsUS,s_neuronsUS) = 0;

s_connectivity(s_neuronsCS1,s_neuronsCS1) = 0;
s_weightM(s_neuronsCS1,s_neuronsCS1) = 0;

s_connectivity(s_neuronsCS2,s_neuronsCS2) = 0;
s_weightM(s_neuronsCS2,s_neuronsCS2) = 0;

%Resetting plasticity after changing connectivity
s_plasticityM           = s_connectivity;
s_plasticityM(p_nr_excitatory + 1:p_nr_neurons,:) = 0;

